Piazzale Italia

ADMIN KO dopo aggiornamento plug-in

 
Immagine Lello Romano
ADMIN KO dopo aggiornamento plug-in
 

Buonasera a tutti,

gestisco una piattaforma MOODLE e stasera ho aggiornato i plug-in. Da quel momento mi appare quest'errore:

  • Exception : syntax error, unexpected ','


Se entro come utente standard, invece, tutto va bene.

Ho rimesso la versione aggiornata di MOODLE, ma nulla.

Ho urgenza di caricare i corsi scolastici e non ho più accesso. Potete darmi una mano per favore?

Grazie a tutti,

Lello


http://www.formationcontinue.it/moodle30/



 
Media dei voti:  -
Immagine Sergio Rabellino
Re: ADMIN KO dopo aggiornamento plug-in
Particularly helpful MoodlersPlugin developers
Questo sembra un errore PHP, cioè nell'aggiornamento è stato introdotto un errore di linguaggio, probabilmente nei file legati all'area di amministrazione (per tua parziale fortuna).

L'unico modo è leggere l'error log del web server, che tipicamente riporta anche il file e la posizione stimata dell'errore.

se non riporta informazioni sensibili per il tuo sito, puoi anche copia/incollare la parte significativa sul forum e si può cercare di capire dove sia l'errore.

Ah, ovviamente è facile che l'errore sia annidato nel codice di uno dei plugin che hai aggiornato...

Immagine Lello Romano
Re: ADMIN KO dopo aggiornamento plug-in
 
Grazie mille Sergio.
Dove trovo l'error log?
Sono su server Aruba.

Grazie,
Lello


Immagine Luigi Bonafede
Re: ADMIN KO dopo aggiornamento plug-in
Immagine Lello Romano
Re: ADMIN KO dopo aggiornamento plug-in
 
Geniale!
Grazie Luigi del prezioso suggerimento.

Comunque ho risolto ieri sera. Ho installato un vecchio back-up 3.3, poi aggiornato a 3.4.1, infine, dato che in automatico l'index.php mi portava all'aggiornamento dei plugin, ho aggiornato i plugin uno ad uno. Quello che causava l'errore era accredible, che non uso, e non l'ho aggiornato.

Grazie a tutti della cortesia e della professionalità
Lello